import collection.mutable
import scala.io._
import java.io._
import math._

val anglestep = 20
val radius    = 3500
val rotshift  = 50
val code = new mutable.ArrayBuffer[String]
for(a <- 0 to 20*anglestep by anglestep ) {
  val px = sin(a.toRadians)*radius
  val pz = -cos(a.toRadians)*radius
  val rot  = -a+rotshift

  code += s"""
:data-x:        ${px.toInt}
:data-z:        ${pz.toInt}
:data-rotate-y: ${rot.toInt}

"""
}

val file = "pres.rst"
var circleindex = 0
var incircle = false
var inpositions = false
var sb = new mutable.StringBuilder

Source.fromFile(file).getLines.foreach { line =>
  if(line == ".. startcircle") {
    println("startcircle")
    circleindex = 0
    incircle = true
    sb ++= line + "\n"
  } else if( line == ".. endcircle") {
    incircle = false
    sb ++= line + "\n"
  } else if( line == ".. startpositions" && incircle ) {
    inpositions = true
    sb ++= line + "\n"
  } else if( line == ".. endpositions" && incircle ) {
    sb ++= code( circleindex )
    println(circleindex)
    circleindex += 1
    inpositions = false
    sb ++= line + "\n"
  } else if( !incircle || !inpositions ) {
    sb ++= line + "\n"
  }
}

val fstream = new FileWriter(file)
val out = new BufferedWriter(fstream)
out.write(sb.result())
out.close()

